CVE-2020-10001

NameCVE-2020-10001
DescriptionAn input validation issue was addressed with improved memory handling. This issue is fixed in macOS Big Sur 11.1, Security Update 2020-001 Catalina, Security Update 2020-007 Mojave. A malicious application may be able to read restricted memory.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
cups (PTS)stretch2.2.1-8+deb9u6vulnerable
stretch (security)2.2.1-8+deb9u2vulnerable
buster2.2.10-6+deb10u4vulnerable
bullseye2.3.3op2-3+deb11u1fixed
bookworm, sid2.3.3op2-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cupssource(unstable)2.3.3op2-1

Notes

[buster] - cups <no-dsa> (Minor issue)
[stretch] - cups <no-dsa> (Minor issue)
https://github.com/OpenPrinting/cups/commit/efbea1742bd30f842fbbfb87a473e5c84f4162f9 (v2.3.3op2)

Search for package or bug name: Reporting problems